Index: reactapp/src/Components/OpinionTree.js
===================================================================
--- reactapp/src/Components/OpinionTree.js	(revision c68150fac8ab8e6f5dc5b8b2a9cd73d391dc1aa7)
+++ reactapp/src/Components/OpinionTree.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -42,5 +42,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.17:8080/secure/currentUser`;
+    const url = `http://192.168.0.19:8080/secure/currentUser`;
 
     const fetchUser = async () => {
@@ -68,5 +68,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.17:8080/secure/upvoteOpinion/${post.postId}`,
+          `http://192.168.0.19:8080/secure/upvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -91,5 +91,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.17:8080/secure/downvoteOpinion/${post.postId}`,
+          `http://192.168.0.19:8080/secure/downvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -111,4 +111,5 @@
       setReplyModalDisplay("block");
       setPostForModal(opinion);
+      document.body.style.overflowY = "hidden";
     } else {
       navigate("/login");
@@ -118,4 +119,5 @@
   const handleModalCloseClick = () => {
     setReplyModalDisplay("none");
+    document.body.style.overflowY = "auto";
   };
 
@@ -129,5 +131,5 @@
     if (!replyContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.17:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
+        `http://192.168.0.19:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
         {
           method: "post",
@@ -159,9 +161,18 @@
               {child.content}
             </p>
-            <OpinionReplyCardContentTime>
-              {dateConverter(
-                new Date(child.timePosted).toString().slice(4, -43)
-              )}
-            </OpinionReplyCardContentTime>
+            {child.timePosted === child.timeLastEdited ? (
+              <OpinionCardContentTime>
+                {dateConverter(
+                  new Date(child.timePosted).toString().slice(4, -43)
+                )}
+              </OpinionCardContentTime>
+            ) : (
+              <OpinionCardContentTime>
+                {dateConverter(
+                  new Date(child.timeLastEdited).toString().slice(4, -43)
+                )}{" "}
+                (едитирано од модератор)
+              </OpinionCardContentTime>
+            )}
 
             <div
@@ -181,5 +192,5 @@
                         (e) => e.vote === "UPVOTE" && e.user.id === user.id
                       )
-                      ? "greenyellow"
+                      ? "green"
                       : "darkgrey"
                     : "darkgrey"
@@ -249,9 +260,20 @@
                     {opinion.content}
                   </p>
-                  <OpinionCardContentTime>
-                    {dateConverter(
-                      new Date(opinion.timePosted).toString().slice(4, -43)
-                    )}
-                  </OpinionCardContentTime>
+                  {opinion.timePosted === opinion.timeLastEdited ? (
+                    <OpinionCardContentTime>
+                      {dateConverter(
+                        new Date(opinion.timePosted).toString().slice(4, -43)
+                      )}
+                    </OpinionCardContentTime>
+                  ) : (
+                    <OpinionCardContentTime>
+                      {dateConverter(
+                        new Date(opinion.timeLastEdited)
+                          .toString()
+                          .slice(4, -43)
+                      )}{" "}
+                      (едитирано од модератор)
+                    </OpinionCardContentTime>
+                  )}
 
                   <div
@@ -273,5 +295,5 @@
                                 e.vote === "UPVOTE" && e.user.id === user.id
                             )
-                            ? "greenyellow"
+                            ? "green"
                             : "darkgrey"
                           : "darkgrey"
@@ -343,4 +365,5 @@
                     value={replyContent}
                     onChange={handleContentChange}
+                    spellCheck={false}
                   />
                 </label>
